# Created by pyp2rpm-1.0.1
%global pypi_name stsci.tools
%define version 3.2

Name:           python-stsci-tools
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        assorted tools for stscipython

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/stsci_python
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-d2to1 >= 0.2.9
BuildRequires:  python-stsci-distutils >= 0.3.2
BuildRequires: python-sphinx
BuildRequires: python-stsci-sphinxext


Obsoletes: python-stsci <= 2.13-4

%description
False


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python} setup.py build

# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html LICENSE.txt
%{_bindir}/convertwaiveredfits
%{_bindir}/stscidocs
%{python_sitelib}/stsci/tools
%{python_sitelib}/%{pypi_name}-%{version}-py?.?-*.pth
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.2-3.mga4
+ Revision: 544354
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.2-2.mga4
+ Revision: 499504
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Sep 12 2013 joequant <joequant> 3.2-1.mga4
+ Revision: 478098
- fix build requires
- add sphinxext
- imported package python-stsci-tools

